package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class EmailNotificationSettingsModel {

    private boolean isEnabled;
    private List<String> recipients;
    private String notificationType;
    private EmailCustomNotificationType customNotificationSettings;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public List<String> getRecipients() {
        return recipients;
    }

    public void setRecipients(List<String> recipients) {
        this.recipients = recipients;
    }

    public String getNotificationType() {
        return notificationType;
    }

    public void setNotificationType(String notificationType) {
        this.notificationType = notificationType;
    }

    public EmailCustomNotificationType getCustomNotificationSettings() {
        return customNotificationSettings;
    }

    public void setCustomNotificationSettings(EmailCustomNotificationType customNotificationSettings) {
        this.customNotificationSettings = customNotificationSettings;
    }

    @Override public String toString() {
        return "EmailNotificationSettingsModel{" + "isEnabled=" + isEnabled + ", recipients=" + recipients
            + ", notificationType='" + notificationType + '\'' + ", customNotificationSettings="
            + customNotificationSettings + '}';
    }
}
